<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('invoice', function (Blueprint $table) {
            $table->id();
            $table->string('debtorCode');
            $table->string('debtorName');
            $table->string('vechicleNo');
            $table->string('invoiceNo');
            $table->date('date');
            $table->integer('totalQuantity')->default(0);
            $table->decimal('totalAmount',10,2);

            $table->unsignedBigInteger('statusID')->nullable(); //foreign key
            $table->foreign('statusID')->references('id')->on('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('invoice');
    }
};
